--- old/usr/src/cmd/nsadmin/login.csh	2013-11-28 11:13:29.695050284 +0400
+++ new/usr/src/cmd/nsadmin/login.csh	2013-11-28 11:13:29.707605118 +0400
@@ -21,7 +21,8 @@
 # Copyright 1998 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+# Copyright 2013 Alexander Pyhalov. All rights reserved.
+#
 
 # The initial machine wide defaults for csh.
 
@@ -54,3 +55,27 @@
 		breaksw;
 	endsw
 endif
+
+if ( -d /etc/csh/login.d && ! -f "${HOME}/.limited_profile" ) then
+	if ($?nonomatch) then 
+		set old=$nonomatch
+	else
+		unset old
+	endif
+	set nonomatch=1
+	foreach file ( /etc/csh/login.d/*.csh )
+		if ( "$file" == "/etc/csh/login.d/*.csh" ) then
+			break
+		endif
+		if ( -f "$file" && -r "$file" ) then
+			source "$file"
+		endif
+	end
+	if ($?old) then
+		set nonomatch="$old"
+		unset old
+	else 
+		unset nonomatch
+	endif
+	unset file
+endif
